Bug 481003 - Wrong init script : slapd always starts with option "ldap:///"
Wrong init script : slapd always starts with option "ldap:///"
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: openldap (Show other bugs)
5.2
All Linux
low Severity low
: ---
: ---
Assigned To: Jan Zeleny
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-21 12:24 EST by Jeremy
Modified: 2012-10-15 04:51 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-03-30 04:05:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeremy 2009-01-21 12:24:09 EST
Description of problem:
slapd always starts with option ldap:/// when we use the init script.



Version-Release number of selected component (if applicable):
openldap-servers-2.3.27-8.el5_1.3

How reproducible:
Configure openldap with TLS and launch it with the init script

Steps to Reproduce:
1. activate TLS in /etc/openldap/slapd.conf
2. service ldap start
3. check with "ps -ef |grep ldap" or "netstat -puante |grep slapd"
  
Actual results:
slapd still listen on port 389 because it's launched with the following command :
/usr/sbin/slapd -h ldap:/// ldaps:/// -u ldap

Expected results:
It would only listen 636 and use "/usr/sbin/slapd -h ldaps:/// -u ldap"
Better, we should have the choice to use :
- ldap
or
- ldaps
or
- ldap & ldaps

Additional info:
The file /etc/rc.d/init.d/ldap define a variable row 146 : 
        harg="ldap:///"
The problem seems to be in the concatenation row 148 :
            harg="$harg ldaps:///"
Comment 3 Jan Zeleny 2009-11-16 04:49:42 EST
Patch is in CVS, changing status to MODIFIED.
Comment 5 Ondrej Moriš 2010-01-12 03:50:18 EST
Successfully verified on i386 and x86_64.

RHTS test created.
Comment 7 errata-xmlrpc 2010-03-30 04:05:49 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0198.html

Note You need to log in before you can comment on or make changes to this bug.